<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" "woz-objects"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-5">WOZ-objecten</h1>
    <p class="mb-7">Onderstaande gegevens komen uit de registers van de gemeenten.</p>

    <div class="text-sm font-medium text-center text-slate-500 border-b border-slate-200 mb-7">
      <ul class="flex flex-wrap -mb-px">
        {{range .municipalities}}
        <li class="mr-2">
          <a href="/woz-objects/{{.ID}}"
            class="inline-block p-4 border-b-2 {{if eq .ID $.municipality.ID}}border-sky-600 text-sky-600{{else}}border-transparent hover:text-slate-600 hover:border-slate-300{{end}}">{{.Name}}</a>
        </li>
        {{end}}
      </ul>
    </div>

    <div class="relative overflow-x-auto bg-white mb-7">
      <table class="w-full text-left">
        <thead class="text-sm text-slate-700 uppercase bg-white">
          <tr>
            <th scope="col" class="px-4 py-3">
              ID
            </th>
            <th scope="col" class="px-4 py-3">
              Type
            </th>
            <th scope="col" class="px-4 py-3">
              Laatste WOZ-waarde
            </th>
            <th scope="col" class="px-4 py-3">
              Eigenaar
            </th>
            <th scope="col" class="px-4 py-3">
              Aantal bewoners
            </th>
          </tr>
        </thead>
        <tbody>
          {{range .objects}}
          <tr class="border-t border-slate-200">
            <td class="p-4">
              <a href="/woz-objects/{{$.municipality.ID}}/{{.ID}}"
                class="text-sky-600 hover:text-sky-700 hover:underline">{{.ID}}</a>
            </td>
            <td class="p-4">
              <a href="/woz-objects/{{$.municipality.ID}}/{{.ID}}"
                class="text-sky-600 hover:text-sky-700 hover:underline">
                {{.FormattedType}}
              </a>
            </td>
            <td class="p-4">
              <a href="/woz-objects/{{$.municipality.ID}}/{{.ID}}"
                class="text-sky-600 hover:text-sky-700 hover:underline">
                € {{numberFormat .LastEffectiveValue}}
              </a>
            </td>
            <td class="p-4">
              <a href="/woz-objects/{{$.municipality.ID}}/{{.ID}}"
                class="text-sky-600 hover:text-sky-700 hover:underline">
                {{with .StakeholderOwner}}
                {{.FormattedIdentifier}}
                {{else}}
                (Onbekend)
                {{end}}
              </a>
            </td>
            <td class="p-4">
              <a href="/woz-objects/{{$.municipality.ID}}/{{.ID}}"
                class="text-sky-600 hover:text-sky-700 hover:underline">
                {{.RegisteredPeople}}
              </a>
            </td>
          </tr>
          {{else}}
          <tr class="border-t border-slate-200">
            <td class="p-4 text-center" colspan="5">Nog geen WOZ-objecten gevonden.</td>
          </tr>
          {{end}}
        </tbody>
      </table>
    </div>

    {{template "partials/pagination-prev-next" .pagination}}
  </div>
</div>
